## NAME

d.rast.leg - Displays a raster map and its legend on a graphics window

## KEYWORDS

display, cartography, legend

## SYNOPSIS

d.rast.leg
d.rast.leg --help
d.rast.leg [-fns] map=name [lines=integer] [raster=name] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-f
  Flip legend
-n
  Omit entries with missing label
-s
  Draw smooth gradient
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

map=name [required]
  Name of raster map to display
lines=integer
  Number of lines to appear in the legend
raster=name
  Name of input raster map to generate legend from

## DESCRIPTION

d.rast.leg shows a raster map along with its legend. It first clears the entire screen, then divides it into a main (left) and a minor (right) frames, and displays a raster map in the main frame and the map legend in the minor frame. The main frame remains active when the program finishes.

## NOTES

The legend may be flipped with the -f flag.

If the lines parameter is not given then the legend frame will display as many lines as number of categories in the map, otherwise, it will display the first lines minus 1 categories with the rest being truncated.

The user may adjust the lines parameter or the size of graphics window to get an appropriate result.

The user may specify a second raster map with the raster parameter from which the legend is generated. This is useful to visualize (time) series of raster maps with a common static legend instead of the default dynamic legend.

To remove all frames when clearing the display, use `d.erase -f`.

## EXAMPLE

In this example, the polar diagram of the 'aspect' angle map in the North Carolina sample dataset location is generated:

    g.region raster=landclass96 -p
    d.rast.leg landclass96

## SEE ALSO

d.legend, d.erase, d.rast

## AUTHORS

Jianping Xu, Scott Madry, Rutgers University
Markus Neteler

## SOURCE CODE

Available at: d.rast.leg source code (history)

Latest change: Thursday Jan 26 14:10:26 2023 in commit: cdd84c130cea04b204479e2efdc75c742efc4843

Main index | Display index | Topics index | Keywords index | Graphical index | Full index

© 2003-2024 GRASS Development Team, GRASS GIS 8.3.3dev Reference Manual